0

we recently upgraded the Content Manager DB form Tridion 2011 SP1 to SDL Web 8.5 and Enabled Legacy Option too.

When user trying to copy and paste components and pages using tridion CME they receive Error ( Automation error), I will update the ticket more more details.

The user is able to create components and pages using the Menu and by using right click option.

2

The error occurs in the LegacyEventAdapter, which is used to trigger legacy, TOM/COM-based event handlers.

If you don’t such legacy event handlers, you can disable/remove this LegacyEventAdapter in the Tridion.ContentManager.config file.

If you do still have such legacy event handlers (note that the new TOM.NET-based event system was introduced in 2011), the problem might be that the Legacy Pack has not been installed.

Note that SDL Web 8.5 is the last release that still has a Legacy Pack.

| improve this answer | |
  • Rick thanks for the quick response. I did upgrade from SDL tridion 2011 sp1 to SDL web8.5 . I remember I did run the legecy Option true . We still have the Client having vb script and .net templates and we found some of the structure group was not loading . Do you think based on the error the legecy pack is not installed properly or completely not installed . Any specific items we need to select in advance settings what will be the impact if we install legecy pack? Thanks – Anand NS Apr 23 '18 at 20:18
  • You don’t need the LegacyEventAdapter if you (only) have VBScript Templates, but you will need the Legacy Pack. What kind of error did you get for the problematic Structure Group? – Rick Pannekoek Apr 24 '18 at 6:30
  • @AnandNS You have mentioned you did upgrade from Tridion 2011 SP1 to SDL Web 8.5. Note: SDL Web supports only a specific set of upgrade paths to upgrade to SDL Web 8.5 : You can upgrade to the current version of SDL Web (formerly called SDL Tridion) from the following versions: SDL Web 8 with Cumulative Update 1 applied SDL Tridion 2013 SP1 HR1 (Hotfix Rollup 1) – Velmurugan Apr 24 '18 at 7:48
  • Yes I did follow the path during upgrade – Anand NS Apr 24 '18 at 8:01
  • @RickPannekoek I don’t get that error now but when I had asp and .net page under the SG it was not loading the entire SG and I think I run the CMS with legecy option . – Anand NS Apr 24 '18 at 8:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.